%define svn_rev 5

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Config files for kde
Name:    	kde-settings
Version: 	0.9.9
Release: 	8
Group:   	System/Base
License: 	Public Domain
Source0: 	ccux-configs-kde-settings.r%{svn_rev}.tar.gz
Source201:	kdm.init
Source202:	metadata.desktop
Source203:	screenshot.png
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch
BuildRequires: 	kde-filesystem
Requires: 	kde-filesystem
Requires: 	pam
Requires: 	xdg-user-dirs
Requires: 	coreutils sed util-linux ccux-artwork
Requires:	kde-style-skulpture
Obsoletes:	gdm
Requires(post): coreutils
Requires(postun): coreutils

%description
%{summary}.

%post
sed -i -e 's#id:3:initdefault:#id:5:initdefault:#' /etc/inittab
echo -e "Changed default Runlevel to 5 in /etc/inittab for Graphical Login!"
/sbin/chkconfig --del gdm &>/dev/null || : 
/sbin/chkconfig --add kdm
/sbin/chkconfig kdm resetpriorities

%postun
if [ $1 -eq 0 ]; then
    sed -i -e 's#id:5:initdefault:#id:3:initdefault:#' /etc/inittab
    echo -e "Changed default Runlevel to 3 in /etc/inittab!"
fi

# needed for a clean upgrade path
%triggerpostun -- gdm
sed -i -e 's#id:3:initdefault:#id:5:initdefault:#' /etc/inittab
echo -e "Changed default Runlevel to 5 in /etc/inittab for Graphical Login!"


%prep
%setup -q -c -n %{name}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_datadir}/config,%{_sysconfdir}/kde/kdm}

cp -R $RPM_BUILD_DIR/%{name}/kde-settings.r%{svn_rev}/* $RPM_BUILD_ROOT

install -m 755 -dp %{buildroot}%_sysconfdir/rc.d/init.d
install -m 755 %{SOURCE201} %{buildroot}%_sysconfdir/rc.d/init.d/kdm

install -m 755 -dp %{buildroot}%_sysconfdir/init.d
install -m 755 %{SOURCE201} %{buildroot}%_sysconfdir/init.d/kdm

mkdir -p %{buildroot}%{_datadir}/wallpapers/ccux/contents/images
install -m 644 %{SOURCE202} %{buildroot}%{_datadir}/wallpapers/ccux
install -m 644 %{SOURCE203} %{buildroot}%{_datadir}/wallpapers/ccux/contents

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/kdm
%{_sysconfdir}/init.d/kdm
%{_sysconfdir}/kde/env/env.sh
%{_sysconfdir}/kde/env/gpg-agent*.sh
%{_sysconfdir}/kde/shutdown/gpg-agent*.sh
%config(noreplace) /etc/pam.d/kcheckpass
%config(noreplace) /etc/pam.d/kscreensaver
%config(noreplace) /etc/pam.d/kdm
%config(noreplace) /etc/pam.d/kdm-np
%config %{_sysconfdir}/kderc
%config %{_sysconfdir}/kde4rc
%{_datadir}/kde-settings/
%{_datadir}/wallpapers/ccux

%changelog
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-8
- remove symlinks, plasma isn't allowed to leave directory layout
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-7
- back to png
- kde-settings svn rev 5
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-6
- switch backgrounds to jpeg
* Tue May 05 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-5
- switched to svn build ( rev 4 )
- require default kde-style
- add ccux wallpapers as default kde backgrounds
- add obsidian mouse theme as default
* Sun May 03 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-4
- integrated patch from arcam into archive
* Sun May 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.9-3
- added copy of kdm initscript to /etc/init.d where chkconfig finds it
- removed pam_selinux and pam_gnome_keyring from kdm pam rulefile for
 propper authorization
* Fri May 01 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-2
- include kdm pam config
- obsoletes gdm, switching to kdm seems to be the best way for now
* Sun Aug 03 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.9-1
- Initial release
